Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.io
Class Page

    java.lang.Object
      unity.io.Page

    public class Page

extends java.lang.Object

Constructor Summary
`Page(int max, Relation r)`

Method Summary
`boolean` | `addTuple(Tuple t)`
`void` | `flush(java.io.BufferedOutputStream out)`
`static long` | `getIOCount()`
`int` | `getMaxTupleCount()`
`int` | `getPageId()`
`static long` | `getReadCount()`
`Tuple` | `getTuple(int i)`
`int` | `getTupleCount()`
`Tuple[]` | `getTuples()`
`static long` | `getWriteCount()`
`boolean` | `hasNext()`
`boolean` | `hasSpace()`
`void` | `initIterator()`
`Tuple` | `next()`
`int` | `read(java.io.BufferedInputStream in)`
`static void` | `resetCounts()`
`java.lang.String` | `toString()`
`void` | `write(java.io.BufferedOutputStream out)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Page

    public Page(int max,
                Relation r)

Method Detail

### getTuples

    public Tuple[] getTuples()

### getTuple

    public Tuple getTuple(int i)

### getTupleCount

    public int getTupleCount()

### getMaxTupleCount

    public int getMaxTupleCount()

### hasSpace

    public boolean hasSpace()

### initIterator

    public void initIterator()

### hasNext

    public boolean hasNext()

### next

    public Tuple next()

### getPageId

    public int getPageId()

### getReadCount

    public static long getReadCount()

### getWriteCount

    public static long getWriteCount()

### getIOCount

    public static long getIOCount()

### resetCounts

    public static void resetCounts()

### addTuple

    public boolean addTuple(Tuple t)

### read

    public int read(java.io.BufferedInputStream in)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.io.BufferedOutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush(java.io.BufferedOutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD